Package org.apache.lucene.search.uhighlight

# Class TermVectorOffsetStrategy

java.lang.Object
org.apache.lucene.search.uhighlight.FieldOffsetStrategy
org.apache.lucene.search.uhighlight.TermVectorOffsetStrategy

public class TermVectorOffsetStrategy extends FieldOffsetStrategy
Uses term vectors that contain offsets.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Field Summary

### Fields inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

`components`

## Constructor Summary

Constructors
Constructor
Description
`TermVectorOffsetStrategy(UHComponents components)`

## Method Summary

Modifier and Type
Method
Description
`OffsetsEnum`
`getOffsetsEnum(LeafReader reader, int docId, String content)`
The primary method -- return offsets for highlightable words in the specified document.
`UnifiedHighlighter.OffsetSource`
`getOffsetSource()`

### Methods inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

`createOffsetsEnumFromReader, createOffsetsEnumsForAutomata, createOffsetsEnumsForTerms, createOffsetsEnumsWeightMatcher, getField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TermVectorOffsetStrategy

public TermVectorOffsetStrategy(UHComponents components)

## Method Details

### getOffsetSource

public UnifiedHighlighter.OffsetSource getOffsetSource()

Specified by:
  `getOffsetSource` in class `FieldOffsetStrategy`

### getOffsetsEnum

public OffsetsEnum getOffsetsEnum(LeafReader reader, int docId, String content) throws IOException
Description copied from class: `FieldOffsetStrategy`
The primary method -- return offsets for highlightable words in the specified document.

Callers are expected to close the returned OffsetsEnum when it has been finished with

Specified by:
  `getOffsetsEnum` in class `FieldOffsetStrategy`
Throws:
  `IOException`